| The Gaudi Framework v32r1 (f65d50dc)

Classes | Functions
EventSelectorDataStream.h File Reference
`#include "GaudiKernel/IEvtSelector.h"`
`#include "GaudiKernel/Property.h"`
`#include <iostream>`
`#include <vector>`
Include dependency graph for EventSelectorDataStream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | EventSelectorDataStream
| Definition of class EventSelectorDataStream. More...

## Functions
GAUDI_API MsgStream & | operator<< (MsgStream &s, const EventSelectorDataStream &obj)
| Output friend for MsgStream. More...
GAUDI_API std::ostream & | operator<< (std::ostream &s, const EventSelectorDataStream &obj)
| Output friend for standard I/O. More...

## Function Documentation

## ◆ operator<<() [1/2]

GAUDI_API MsgStream& operator<< | ( | MsgStream & | s,
|  | const EventSelectorDataStream & | obj
| ) |  |

Output friend for MsgStream.

Definition at line 25 of file EventSelectorDataStream.cpp.

25 {
26 return s << "Stream:" << obj.name() << " Def:" << obj.definition();
27 }
EventSelectorDataStream::name
const std::string & name() const
Retrieve stream name.
Definition: EventSelectorDataStream.h:92
EventSelectorDataStream::definition
const std::string & definition() const
Retrieve definition string.
Definition: EventSelectorDataStream.h:100
gaudirun.s
string s
Definition: gaudirun.py:316

## ◆ operator<<() [2/2]

GAUDI_API std::ostream& operator<< | ( | std::ostream & | s,
|  | const EventSelectorDataStream & | obj
| ) |  |

Output friend for standard I/O.

Definition at line 30 of file EventSelectorDataStream.cpp.

30 {
31 return s << "Stream:" << obj.name() << " Def:" << obj.definition();
32 }
EventSelectorDataStream::name
const std::string & name() const
Retrieve stream name.
Definition: EventSelectorDataStream.h:92
EventSelectorDataStream::definition
const std::string & definition() const
Retrieve definition string.
Definition: EventSelectorDataStream.h:100
gaudirun.s
string s
Definition: gaudirun.py:316